# This example shows that the algorithm does not produce good
# approximations just as by magic. Run this example in Gimp, and look
# at the resulting arcs, zooming in strongly. Compare the curve with
# the points on the exact astroid (little stars). Note the discrepancy.
# Then in 'c2bs' uncomment the line
#
#     max_error = 0.001 # Uncomment for a better accuracy. Default is 0.01.
#
# and draw again. Compare. The result is better but with of the cost of extra
# control points.

def astroid(t):
    return [cos(t)**3, sin(t)**3]

pcurve = ParametricCurve(
    function    = astroid,
    pcurve_name = "astroid",
    start  = 0.,
    end    = 2*pi,
    closed = True,
    custom = CustomPoints(params = [pi/2, pi, 3*pi/2])
    )

pcurve_collage = ParametricCurveCollage(
    pcurve_list  = [pcurve],
    collage_name = 'Astroid'
    )

c2bs = Curve2BezierSettings(
    #max_error = 0.001 # Uncomment for better accuracy. Default is 0.01.
    )

c2bo = Curve2BezierOptions()

coos = CoordinateSettings(
    fit_window = False,
    origo = [500,500],
    scale = 400
    )

drawo = DrawingOptions(
    axes          = False,
    #exact_pcurves = True, # To compare with the correct curve
    #handles       = True  # To see handles
    )


