# Three astroids witn lines around.

def astroid(t):
    return [cos(t)**3, sin(t)**3]

def astroid30(t):
    angle = pi/6
    c,s = cos(angle), sin(angle)
    x,y = cos(t)**3, sin(t)**3
    x,y = x*c - y*s, x*s + y*c
    return [x,y]

def astroid60(t):
    angle = pi/3
    c,s = cos(angle), sin(angle)
    x,y = cos(t)**3, sin(t)**3
    x,y = x*c - y*s, x*s + y*c
    return [x,y]

pcurve = ParametricCurve(
    function = astroid,
    pcurve_name = "astroid",
    start  = 0.,
    end    = 2*pi,
    closed = True,
    )

pcurve30 = ParametricCurve(
    function = astroid30,
    pcurve_name = "astroid 30",
    start  = 0.,
    end    = 2*pi,
    closed = True,
    )

pcurve60 = ParametricCurve(
    function = astroid60,
    pcurve_name = "astroid 60",
    start  = 0.,
    end    = 2*pi,
    closed = True,
    )

pcurve_collage = ParametricCurveCollage(
    pcurve_list  = [pcurve, pcurve30, pcurve60],
    collage_name = 'Three astroids'
    )

coos = CoordinateSettings(fit_window = False,
                          origo      = [400,400],
                          scale      = 400
                          )

drawo = DrawingOptions(handles=False)

mark_polylines = [
                  [
                   astroid(0),      astroid30(0),      astroid60(0),
                   astroid(pi/2),   astroid30(pi/2),   astroid60(pi/2),
                   astroid(pi),     astroid30(pi),     astroid60(pi),
                   astroid(3*pi/2), astroid30(3*pi/2), astroid60(3*pi/2),
                   True
                  ]
                 ]
