# In this picture we draw an ellipse, two circles, and some lines.
# Another picture to mathematics lecture notes,
# perhaps in connection with ellipses.

from functools import partial

def circle0_general(t,r):
    return [r*cos(t), r*sin(t)]

def ellipse0_general(t,a,b):
    return [a*cos(t), b*sin(t)]

def line_general(t, point0, point1):
    return [(1-t)*point0[0] + t*point1[0], (1-t)*point0[1] + t*point1[1]]


a = 1.0
b = 0.5
q = 0.7854

big_circle = partial(circle0_general, r=a)
small_circle = partial(circle0_general, r=b)
ellipse = partial(ellipse0_general,a=a, b=b)

p0 = [0.,0.]
p1 = small_circle(q)
p2 = big_circle(q)
p3 = [p2[0], p1[1]]

line02 = partial(line_general, point0=p0, point1=p2)
line23 = partial(line_general, point0=p2, point1=p3)
line31 = partial(line_general, point0=p3, point1=p1)

big = ParametricCurve(
        function = big_circle,
        pcurve_name = "big circle",
        start  = 0.,
        end    = 2*pi,
        closed = True,
        custom = CustomPoints()
        )

small = ParametricCurve(
        function = small_circle,
        pcurve_name = "small circle",
        start  = 0.,
        end    = 2*pi,
        closed = True,
        custom = CustomPoints()
        )

ell = ParametricCurve(
        function = ellipse,
        pcurve_name = "ellipse",
        start  = 0.,
        end    = 2*pi,
        closed = True,
        custom = CustomPoints()
        )

pcurve_collage = ParametricCurveCollage(
    pcurve_list = [big,small,ell],#,lin02,lin23,lin31],
    collage_name = 'one ellipse and two circles'
    )

t = 2.5*pi/8
axis_end = .15
mark_polylines = [
                   [[0,0],big.function(t)],
                   [
                     small.function(t),
                     [big.function(t)[0], small.function(t)[1]],
                     big.function(t)
                   ],
                   [[-a-axis_end,0],[a+axis_end,0]], # x axis
                   [[0,-a-axis_end],[0,a+axis_end]]  # y axis
                 ]

c2bs = Curve2BezierSettings()      # default

c2bo = Curve2BezierOptions()       # default

drawo = DrawingOptions(
    bezier_curves  = False,
    bezier_collage = True,
    )

coos = CoordinateSettings(
    fit_window   = True,
    padding      = .1,   # Padding as a fraction of the window.
    )

