# A Lissajous curve.
# Note that the two inflection points are given as custom points. This
# is actually unnecessary: the program can find them rather accurately.

def lissajous(t):
    from math import cos,sin
    return [cos(3*t), sin(4*t)]

pcurve = ParametricCurve(                # Lissajous
    function = lissajous,
    pcurve_name = "Lissajous",
    start  = 0.,
    end    = 2*pi,
    closed = True,
    custom = CustomPoints(params=[ pi/2, 3*pi/2 ])
    #custom = None
    )

pcurve_collage = ParametricCurveCollage(
    pcurve_list  = [pcurve],
    collage_name = 'Lissajous'
    )

c2bs = Curve2BezierSettings()    # default
c2bo = Curve2BezierOptions()     # default
coos = CoordinateSettings()     # default

drawo = DrawingOptions(
    bezier_curves  = False,
    bezier_collage = True,
    axes = False
    )

