# A heart picked from Inkscape forum: 
# http://www.inkscapeforum.com/viewtopic.php?t=12951
#
def perfect_heart(t):
    from math import cos,sin
    x = 16*(sin(t)**3)
    y = 13*cos(t)-5*cos(2*t)-2*cos(3*t)-cos(4*t)
    return [x,y]

pcurve = ParametricCurve(
    function = perfect_heart,
    pcurve_name   = "perfect heart",
    start  = 0.,
    end    = 2*pi,
    closed = True,
    custom = CustomPoints(params = [pi])
    )

pcurve_collage = ParametricCurveCollage(
    pcurve_list = [pcurve],
    collage_name = 'perfect heart'
    )

c2bs = Curve2BezierSettings(
    )

c2bo = Curve2BezierOptions(
    )

coos = CoordinateSettings(
    fit_window = True,
    )

drawo = DrawingOptions(
    axes          = False,
    #exact_pcurves = True,
    handles       = True # To see what control points the plugin made.
    )

