# An example of drawing a function y = f(x).
#
def polynomial(t):
    f = 5*t - 5*t**3 + t**5
    g = 0.2*t + 0.1*t**2
    return [t, f*g]

pcurve = ParametricCurve(
    function = polynomial,
    pcurve_name = "polynomial example",
    start  = -2.,
    end    = 2.,
    closed = False,
    custom = CustomPoints(params=[0.]) # A minimum point and zero at [0,0].
    )

pcurve_collage = ParametricCurveCollage(
    pcurve_list = [pcurve],
    collage_name = 'polynomial example'
    )

c2bs = Curve2BezierSettings() # default

c2bo = Curve2BezierOptions(   # Trying to avoid some superfluous anchors.
    inflection_points = False,     # In this example, we want no 
    low_curvature_points = False,  # inflection points; 
    angle_turn_points = False,     # therefore, this too must be added.
    )

coos = CoordinateSettings()    # default

drawo = DrawingOptions(
    exact_pcurves  = True,
    handles = True,
    axes = True
    )

