# This file is a valid file as advanced inputs.
# Everything is written tersely using default values.
# No polylines drawn here.


def small_circle(t):
    return [cos(t)/2, sin(t)/2]

def big_circle(t):
    return [cos(t), sin(t)]

def astroid(t):
    return [cos(t)**3, sin(t)**3]

# From the parametric functions we build the parametric curves:

pcurve0 = ParametricCurve(
    function    = small_circle,
    pcurve_name = "small circle",
    start  = 0.,
    end    = 2*pi,
    closed = True,
    )

pcurve1 = ParametricCurve(
    function    = big_circle,
    pcurve_name = "big circle",
    start  = 0.,
    end    = 2*pi,
    closed = True,
    )

pcurve2 = ParametricCurve(
    function    = astroid,
    pcurve_name = "astroid",
    start  = 0.,
    end    = 2*pi,
    closed = True,
    )

# And from the parametric curves we build a collage:

pcurve_collage = ParametricCurveCollage(
    pcurve_list  = [pcurve0, pcurve1, pcurve2],
    collage_name = 'circle, circle, astroid'
    )

# When we use default values, we *could* write
#c2bs = Curve2BezierSettings()
#c2bo = Curve2BezierOptions()
#coos = CoordinateSettings()
#drawo = DrawingOptions()
# However, since these are the default values, they can be omitted.


